GET /whatsapp/accounts/{id}/phone-number

The number: display number, verified name, quality rating, messaging limit tier, name status, status and onboarding state; refresh=true reads it from Meta and saves it

GET
/whatsapp/accounts/{id}/phone-number

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

WhatsApp account id

Query Parameters

refresh?string

Read the current values from Meta

Value in"true""1"

Response Body

WhatsAppAccount

application/json
  1. response
accountId?string
platform?"whatsapp"
Value in"whatsapp"
accountName?string
phoneNumberId?string

Cloud API phone number id (= platformAccountId)

wabaId?string|null
businessId?string|null
externalId?string|null
status?string
phoneNumber?
onboarding?
Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/accounts/string/phone-number'
Example Response
{  "accountId": "string",  "platform": "whatsapp",  "accountName": "string",  "phoneNumberId": "string",  "wabaId": "string",  "businessId": "string",  "externalId": "string",  "status": "string",  "phoneNumber": {    "displayPhoneNumber": "string",    "verifiedName": "string",    "qualityRating": "string",    "messagingLimitTier": "string",    "nameStatus": "string",    "platformType": "string",    "codeVerificationStatus": "string",    "status": "string",    "checkedAt": "2019-08-24T14:15:22Z",    "throughput": null  },  "onboarding": {    "connection": "embedded_signup",    "onboarding": "cloud_api",    "subscribed": true,    "subscribeError": "string",    "registered": true,    "registerError": "string",    "registerSkipped": "string",    "onboardedAt": "2019-08-24T14:15:22Z"  }}